Subject: Re: bug#40612: guix build system --dry-run is broken

From: Björn Höfling <[email-masked]>
Date: Tue, 14 Apr 2020 17:16:32 +0200

On Mon, 13 Apr 2020 17:31:56 -0400
Mark H Weaver <[email-masked]> wrote:

> I guess this is related to the recent changes in graft handling, where
> --dry-run (a.k.a. -n) no longer implies --no-grafts.  It's not working
> well for me.  I hadn't updated my system since before those grafting
> changes were made, and there's a lot for me to rebuild (I don't use
> substitutes).  I was very surprised to see this small output:

Hi Mark,

I can confirm this behavior for "guix system". I'm on

e0e873a9b428e74a04d9b90c0649ab3030e131d0

Björn